<!DOCTYPE html>
{% load static %}
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/jszip.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/xlsx.js"></script>
		<script>
			var ExcelToJSON = function() {

				this.parseExcel = function(file) {
					var reader = new FileReader();

					reader.onload = function(e) {
						var data = e.target.result;
						var workbook = XLSX.read(data, {
							type: 'binary'
						});
						workbook.SheetNames.forEach(function(sheetName) {
							// Here is your object
							var XL_row_object = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[sheetName]);
							var json_object = JSON.stringify(XL_row_object);
							console.log(JSON.parse(json_object));
							jQuery( '#xlx_json' ).val( json_object );
						})
					};

					reader.onerror = function(ex) {
					console.log(ex);
					};

					reader.readAsBinaryString(file);
				};
			};

			function handleFileSelect(evt) {
				
				var files = evt.target.files; // FileList object
				var xl2json = new ExcelToJSON();
				xl2json.parseExcel(files[0]);
				$.ajax({
			        url: "handle_excel",
			        data: {
			          'username': username
			        },
			        dataType: 'json'
			    }); 
			}
		</script>

        <title>Hospital Scheduling</title>
        <style type="text/css">
            h1{
                background: rgb(109, 255, 109);
                margin : 0 auto;
                height: 70px, auto;
                text-align: center;
                font-family: "Lucida Sans";
                font-weight: bold;
                font-size: 60px;
                letter-spacing: 5mm;
                padding: 10px;
            }
            h3{
                text-align: center;
                font-weight: bold;
                font-size: 30px;
            }
            #uploadFile{
                background: lightblue;
                padding: 10px;
            }
            label{
                font-family: "Lucida Sans";
                font-size: 20px;
            }
            button{
                margin: 10px;
                background-color: white;
                border: 3px solid lightblue;
                color: black;
                padding: 10px;
                text-align: center;
                font-family: "Arial";
                font-size: 15px;
                font-weight: bold;
                border-radius: 2px;
            }
            #hasilTabel{
                background-color: lightgreen;
                font-family: "Lucida Sans";
                color: black;
                margin : 5px auto;
                padding: 10px;
                text-align: center;
            }
            table, th, td {
                border: 1px solid black;
                padding : 5px;
            }
		</style>
	</head>

	<body>
		<h1> HOSPITAL SCHEDULING </h1>
        <br>
        <div>
            <h3> Selamat Datang. Silahkan gunakan aplikasi sesuai intruksi! </h3>
        </div>
        <form id = "uploadFile" enctype="multipart/form-data" action='/scheduleapp/' method="post">
            {% csrf_token %}
            {{ form.as_table }}
            <button> Jalankan Aplikasi! </button>
        </form>
        <div id="hasilTabel">
            <table>
                <caption> Daftar staff </caption>
                <tr>
                    <th>Staff</th>
                </tr>
                <tbody>
                    {% for staff in staffs %}
                        <tr>
                            <td> {{staff}} </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>

            <table>
                <caption> Daftar Rumah Sakit </caption>
                <tr>
                    <th>Rumah sakit</th>
                </tr>
                <tbody>
                    {% for hospital in hospitals %}
                        <tr>
                            <td> {{hospital}} </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <a href="{% url 'index' %}"><button> Kembali </button>
	</body>
</html>